Description

Application should be able to send system notification without the need of use TrayIcon class.

class TrayIcon {

    void            Info(const char *title, const char *text, int timeout = 10)    { Message(1, title, text, timeout); }

    void            Warning(const char *title, const char *text, int timeout = 10) { Message(2, title, text, timeout); }

    void            Error(const char *title, const char *text, int timeout = 10)   { Message(3, title, text, timeout); }

};

So, this can be moved to CtrlCore as a separate method class like:

class Notification final {

public:

    Notification() = delete;

    static Info(...) {...}

}

History

#1 - 02/18/2018 09:21 PM - Zbigniew Rebacz

- Assignee set to Miroslav Fidler

#2 - 02/18/2018 09:21 PM - Zbigniew Rebacz

Please let me know what do you think?

#3 - 02/18/2018 09:22 PM - Zbigniew Rebacz

- Description updated

#4 - 02/18/2018 09:22 PM - Zbigniew Rebacz

- Description updated

#5 - 02/18/2018 09:23 PM - Zbigniew Rebacz

- Description updated

#6 - 04/03/2018 10:00 PM - Zbigniew Rebacz

- Target version changed from Release 2018.1 - NTH to Release 2019.1 - NTH
#7 - 06/24/2019 01:29 AM - Zbigniew Rebacz

- Target version changed from Release 2019.1 - NTH to Release 2019.2 - NTH

#8 - 11/01/2019 11:21 AM - Zbigniew Rebacz

- Target version changed from Release 2019.2 - NTH to Release 2020.1 - NTH

#9 - 05/24/2020 12:48 PM - Zbigniew Rebacz

- Target version changed from Release 2020.1 - NTH to Release 2020.2 - NTH

#10 - 10/21/2020 11:34 PM - Zbigniew Rebacz

- Target version changed from Release 2020.2 - NTH to Release 2021.1 - NTH
